/* ***************** Variables CSS *************** */
:root {
  --main-color: #39b54a;
  --body-bg: #000;
  --text-color: #fffefe;

  --header-size: 127px;
  --logo-size: 214px;
}
/* ***************** RESET CSS *************** */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  background-color: var(--body-bg);
  color: var(--text-color);
  font-family: "Roboto", sans-serif;
}
li {
  list-style: none;
}
a {
  text-decoration: none;
  color: var(--text-color);
}

/* ***************** HEADER *************** */
header {
  height: var(--header-size);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 999;
}

.container {
  width: 90%;
  height: 100%;
  margin: 0 auto;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.logo {
  display: block;
  width: var(--logo-size);
  outline: none;
  margin-right: 170px;
}

.main-menu {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2rem;
}

.main-menu a {
  font-weight: 700;
  display: block;
  color: var(--text-color);
  text-transform: uppercase;
  font-size: 30px;
  transition: color 0.2s ease-in-out;
}

.main-menu a:hover {
  color: var(--main-color);
}

/* ***************** MOBILE MENU *************** */
.mobile-menu-toggle {
  display: none;
}

/* ***************** HERO *************** */
.hero {
  position: relative;
  padding-top: var(--header-size);
  height: 100vh;
  width: 100%;
  overflow: hidden;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.hero-overlay {
  position: absolute;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.5);
}

.container .hero-content {
  position: absolute;
  width: 90%;
  inset: 0;
  left: 50%;
  transform: translateX(-50%);
  z-index: 99;
  padding-top: var(--header-size);
}


/* ***************** SLIDER *************** */
.slider {
  height: 100%;
  position: relative;
}

.slide {
  opacity: 0;
  visibility: hidden;
  height: 0;
  display: flex;
  /* align-items: center; */
}

.slide.active {
  opacity: 1;
  visibility: visible;
  height: 100%;
}

.slide-info,
.slide-img {
  width: 50%;
  position: relative;
}

.slide-img > img {
  position: absolute;
  width: calc(100% + 568px);
  top: -235px;
  left: -200px;
  transform: translateX(450px) rotate(28deg);
  transition: transform 1s ease-in-out;
}

.slide.active .slide-img > img {
  transform: translateX(0) rotate(0);
}

.slide-name {
  width: max-content;
}

.slide-name > h2 {
  text-transform: capitalize;
  font-size: 270px;
  font-weight: 700;
  width: max-content;
}

.slide.description > p {
  font-size: 3rem;
  line-height: 36px;
}

.slide-name,
.slide-description {
  overflow: hidden;
}

.slide-name > h2,
.slide-description > p {
  transform: translateY(-100%);
  transition: transform 0.8s ease-in-out;
}

.slide.active .slide-name > h2,
.slide.active .slide-description > p {
  transform: translateY(0);
}

.slide-description,
.slide .btn {
  margin-top: 30px;
}

.btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  color: var(--main-color);
  overflow: hidden;
  width: 0;
  height: 80px;
  border-radius: 0;
  background-color: var(--main-color);
  font-size: 30px;
  text-transform: uppercase;
  border-style: 0 0 54px 2px #4e4e4e;
  font-weight: 700;
  transition: transform 0.2s ease-in-out, width 0.6s ease-in-out,
    color 0.3s ease-in-out, border-radius 0.3s ease-in-out;
  transition-delay: 0s, 0.9s, 1.5s, 1.5s;
}

.btn:hover {
  transform: scale(1.2);
}

.slide.active .btn {
  width: 336px;
  color: var(--text-color);
  border-radius: 40px;
}

/* ***************** SLIDER CONTROL *************** */
.slider-control {
  display: flex;
  align-items: center;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 20px;
  z-index: 99;
  gap: 2rem;
  padding: 1rem 3rem;
  border-radius: 40px;
  background-color: transparent;
  backdrop-filter: blur(8px);
  /* BOX SHADOW */
  -webkit-box-shadow: 0px 0px 12px 1px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 0px 12px 1px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 0px 12px 1px rgba(0, 0, 0, 0.75);
}

.slider-control-item {
  width: 80px;
  height: 80px;
  cursor: pointer;
  border-radius: 50%;
}

.slider-control-item > img {
  width: 100%;
  transition: transform 0.4s ease-in-out;
}

.slider-control-item > img:hover {
  transform: scale(1.8) rotate(45deg);
}

/* ***************** RESPONSIVE *************** */
/* ***************** TABLET , MOBILE DIVIDE *************** */
@media screen and (max-width: 750px) {
  :root {
    --header-size: 50px;
  }
  header {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .container {
    justify-content: space-between;
    align-items: center;
  }

  .logo {
    width: unset;
    height: 100%;
    padding: 10px;
    margin: unset;
  }
  .logo > img {
    height: 100%;
  }

  .main-menu {
    position: absolute;
    top: 100%;
    left: 100%;
    width: 100%;
    height: calc(100vh - var(--header-size));
    flex-direction: column;
    padding-top: 2rem;
    justify-content: start;
    background-color: rgba(0, 0, 0, 0.9);
    transition: left 0.3s ease-in-out;
  }

  .main-menu a {
    font-size: 20px;
  }
  .main-menu.active {
    left: 0;
  }

  .mobile-menu-toggle {
    display: block;
    font-size: 48px;
  }

  .slider {
    position: relative;
  }

  .slide {
    flex-direction: column;
  }

  .slide-name > h2 {
    font-size: 50px;
  }

  .slide-description,
  .slide .btn {
    margin-top: 8px;
  }

  .slide .btn {
    font-size: 36px;
  }

  .slide-info,
  .slide-img {
    width: unset;
  }

  .slide-img {
    height: 50%;
  }

  .slide-img > img {
    height: 100%;
    width: 100%;
    top: 0;
    left: 10%;
  }

  .slider-control {
    bottom: 0;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
  }
}
